COMPUTE cent_BMI = BMI - 25.7292.
COMPUTE cent_wt_loss = wt_loss - 2.55.
COMPUTE cent_like_3_stooges = like_3_stooges - 5.725.

COMPUTE inter_BMI_wt_loss = cent_BMI*cent_wt_loss.
COMPUTE inter_BMI_like_3_stooges = cent_BMI*cent_like_3_stooges.
COMPUTE inter_wt_loss_like_3_stooges = cent_wt_loss*cent_like_3_stooges.

COMPUTE inter_3_way =cent_BMI*cent_wt_loss*cent_like_3_stooges.
EXE.


REGRESSION
  /DESCRIPTIVES MEAN STDDEV 
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT like_Dr_Pepper10
  /METHOD=ENTER cent_BMI cent_wt_loss cent_like_3_stooges inter_BMI_wt_loss 
    inter_BMI_like_3_stooges inter_wt_loss_like_3_stooges inter_3_way.

** COMMENT Test for 2-way BMI x weight loss desire interaction for those who DISlike Three Stooges.**

COMPUTE dislike_3_stooges = cent_like_3_stooges - (-1.445). 

COMPUTE inter_BMI_dislike_3_stooges = cent_BMI*dislike_3_stooges.
COMPUTE inter_wt_loss_dislike_3_stooges = cent_wt_loss*dislike_3_stooges.

COMPUTE inter_3_way_dislike_3_stooges =cent_BMI*cent_wt_loss*dislike_3_stooges.
EXE.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV 
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT like_Dr_Pepper10
  /METHOD=ENTER cent_BMI  cent_wt_loss  dislike_3_stooges 
                               inter_BMI_wt_loss  inter_BMI_dislike_3_stooges   inter_wt_loss_dislike_3_stooges 
                               inter_3_way_dislike_3_stooges.
 
** COMMENT Test for 2-way BMI x weight loss desire interaction for those who ADORE the Three Stooges.**

COMPUTE love_3_stooges = cent_like_3_stooges - (1.445). 

COMPUTE inter_BMI_love_3_stooges = cent_BMI*love_3_stooges.
COMPUTE inter_wt_loss_love_3_stooges = cent_wt_loss*love_3_stooges.

COMPUTE inter_3_way_love_3_stooges = cent_BMI*cent_wt_loss*love_3_stooges.
EXE.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV 
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT like_Dr_Pepper10
  /METHOD=ENTER cent_BMI  cent_wt_loss  love_3_stooges  inter_BMI_wt_loss 
    inter_BMI_love_3_stooges  inter_wt_loss_love_3_stooges  inter_3_way_love_3_stooges.



** COMMENT Test for simple slopes among THIN men who ADORE the Three Stooges.**

COMPUTE low_BMI = cent_BMI - (-4.083).

COMPUTE inter_lowBMI_wt_loss = low_BMI*cent_wt_loss.
COMPUTE inter_lowBMI_love_3_stooges = low_BMI*love_3_stooges.
COMPUTE inter_wt_loss_love_3_stooges = cent_wt_loss*love_3_stooges.

COMPUTE inter_3_way_love_3_stooges_thin = low_BMI*cent_wt_loss*love_3_stooges.
EXE.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT like_Dr_Pepper10
  /METHOD=ENTER low_BMI cent_wt_loss love_3_stooges inter_lowBMI_wt_loss 
    inter_lowBMI_love_3_stooges inter_wt_loss_love_3_stooges inter_3_way_love_3_stooges_thin.


** COMMENT Test for simple slopes among HEAVY men who ADORE the Three Stooges.**

COMPUTE high_BMI = cent_BMI - ( 4.083).

COMPUTE inter_highBMI_wt_loss = high_BMI*cent_wt_loss.
COMPUTE inter_highBMI_love_3_stooges = high_BMI*love_3_stooges.
COMPUTE inter_wt_loss_love_3_stooges = cent_wt_loss*love_3_stooges.

COMPUTE inter_3_way_love_3_stooges_heavy = high_BMI*cent_wt_loss*love_3_stooges.
EXE.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV CORR SIG N
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT like_Dr_Pepper10
  /METHOD=ENTER high_BMI cent_wt_loss love_3_stooges inter_highBMI_wt_loss 
    inter_highBMI_love_3_stooges inter_wt_loss_love_3_stooges inter_3_way_love_3_stooges_heavy.

